GET
/
v2
/
market
/
brands
/
patek
/
official-configurations
List official Patek references as calculator options
curl --request GET \
  --url https://api-v2.watchcollect.com/v2/market/brands/patek/official-configurations \
  --header 'Authorization: Bearer <token>'
{
  "brand": "<string>",
  "total": 123,
  "items": [
    {
      "brand": "<string>",
      "reference": "<string>",
      "reference_normalized": "<string>",
      "status": "<string>",
      "is_default": true,
      "collection": "<string>",
      "model": "<string>",
      "market_reference": "<string>",
      "official_url": "<string>",
      "official_image_url": "<string>",
      "price": {
        "amount_minor": 123,
        "currency": "<string>"
      },
      "locale": "<string>",
      "scraped_at_ms": 123,
      "configuration_key": "<string>",
      "configuration_label": "<string>",
      "dial": "<string>",
      "bezel": "<string>",
      "bracelet": "<string>",
      "default_mapping_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "default_market_view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "default_filters": {
        "q": "Rolex 126610LN",
        "text_search": {
          "query": "<string>"
        },
        "side": [
          "for_sale"
        ],
        "message_type": [],
        "brand": [
          "Rolex"
        ],
        "model": [
          "Submariner"
        ],
        "reference": [
          "126610LN"
        ],
        "year": {
          "values": [
            2022,
            2023
          ],
          "gte": 2018,
          "lte": 2026
        },
        "years": [
          2023
        ],
        "price": {
          "gte": 123,
          "lte": 123,
          "currency": "EUR"
        },
        "condition": [
          "NEW"
        ],
        "conditions": [],
        "full_set_status": [],
        "full_set_options": [],
        "dial_type": [
          "Wimbledon"
        ],
        "dial_types": [
          "<string>"
        ],
        "variant": [
          "<string>"
        ],
        "variants": [
          "<string>"
        ],
        "country_codes": {
          "include": [
            "31",
            "852"
          ],
          "exclude": [
            "86"
          ]
        },
        "phone_numbers_include": [
          "<string>"
        ],
        "phone_numbers_exclude": [
          "<string>"
        ],
        "phone_numbers": {
          "include": [
            "31612345678"
          ],
          "exclude": [
            "85212345678"
          ]
        },
        "group_ids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "group_names": [
          "<string>"
        ],
        "contact_ids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "phone_number": "<string>",
        "canonical_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "canonical_message_ids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "has_media": true,
        "message_timestamp_ms": {
          "gte": 123,
          "lte": 123
        },
        "last_seen_at_ms": {
          "gte": 123,
          "lte": 123
        },
        "from_ms": 123,
        "to_ms": 123,
        "include_duplicates": false,
        "include_hidden": false,
        "include_revoked": false,
        "exclude_outliers": false
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

reference
string

Response

Official Patek references and default calculator mapping state.

brand
string
required
total
integer
required
items
object[]
required